Skip to main content

Failover Group

View as Markdown

FailoverGroup object

A failover group manages disaster recovery across workspace sets, coordinating Unity Catalog and workspace assets replication.

namestring

Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

effective_primary_regionstring

Current effective primary region. Replication flows FROM workspaces in this region. Changes after a successful failover.

regionsarray of string

List of all regions participating in this failover group.

workspace_setsarray of object

Workspace sets, each containing workspaces that replicate to each other.

Show child attributesHide child attributes
namestring

Resource name for this workspace set.

Example: accounting

workspace_idsarray of string

Workspace IDs in this set. The system derives and validates regions. All workspaces must be in the Mission Critical tier.

replicate_workspace_assetsboolean

Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set. Defaults to false.

stable_url_namesarray of string

Resource names of stable URLs associated with this workspace set. Format: accounts/{account_id}/stable-urls/{stable_url_id}. The referenced stable URLs must already exist (via CreateStableUrl).

unity_catalog_assetsobject

Unity Catalog replication configuration.

Show child attributesHide child attributes
location_mappingsarray of object

Location mappings - storage URI per region for each location.

Show child attributesHide child attributes
namestring

Resource name for this location.

Example: main-storage

uri_by_regionarray of object

URI for each region. Each entry maps a region name to a storage URI.

Show child attributesHide child attributes
regionstring

The region name.

Example: us-east-1

uristring

The storage URI for this region.

Example: s3://east/data

catalogsarray of object

UC catalogs to replicate.

Show child attributesHide child attributes
namestring

The name of the UC catalog to replicate.

data_replication_workspace_setstring

The workspace set whose workspaces will be used for data replication of all UC catalogs' underlying storage.

Example: accounting

statestring

Aggregate state of the failover group.

Values: STATE_UNSPECIFIED, CREATING, CREATION_FAILED, INITIAL_REPLICATION, ACTIVE, FAILING_OVER, DELETING, FAILOVER_FAILED, DELETION_FAILED

etagstring

Opaque version string for optimistic locking. Server-generated and returned in responses.

create_timestring

Time at which this failover group was created.

update_timestring

Time at which this failover group was last modified.

replication_pointstring

The latest point in time to which data has been replicated.

initial_primary_regionstring

Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.

Get GA

GET /api/disaster-recovery/v1/{name=accounts/*/failover-groups/*}

Get a failover group.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

namestringpath

The fully qualified resource name of the failover group. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

Response

Returns the FailoverGroup object.

List GA

GET /api/disaster-recovery/v1/{parent=accounts/*}/failover-groups

List failover groups.

List entries are abbreviated: state and replication_point are not populated. Call GetFailoverGroup to retrieve the full resource.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

parentstringpath

The parent resource. Format: accounts/{account_id}.

page_sizeint32query

Maximum number of failover groups to return per page:

  • when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
  • when set to 0 or unset, the page length is set to a server configured value (recommended);
  • when set to a value less than 0, an invalid parameter error is returned.
page_tokenstringquery

Page token received from a previous ListFailoverGroups call. Provide this to retrieve the subsequent page.

Response

Returns a list of FailoverGroup objects.

Create GA

POST /api/disaster-recovery/v1/{parent=accounts/*}/failover-groups

Create a new failover group.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

parentstringpath

The parent resource. Format: accounts/{account_id}.

validate_onlybooleanquery

When true, validates the request without creating the failover group.

Default: false

failover_group_idstringquery

Client-provided identifier for the failover group. Used to construct the resource name as {parent}/failover-groups/{failover_group_id}.

Request body

failover_groupobject

The failover group to create.

Show child attributesHide child attributes
namestring

Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

effective_primary_regionstring

Current effective primary region. Replication flows FROM workspaces in this region. Changes after a successful failover.

regionsarray of string

List of all regions participating in this failover group.

workspace_setsarray of object

Workspace sets, each containing workspaces that replicate to each other.

Show child attributesHide child attributes
namestring

Resource name for this workspace set.

Example: accounting

workspace_idsarray of string

Workspace IDs in this set. The system derives and validates regions. All workspaces must be in the Mission Critical tier.

replicate_workspace_assetsboolean

Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set. Defaults to false.

stable_url_namesarray of string

Resource names of stable URLs associated with this workspace set. Format: accounts/{account_id}/stable-urls/{stable_url_id}. The referenced stable URLs must already exist (via CreateStableUrl).

unity_catalog_assetsobject

Unity Catalog replication configuration.

Show child attributesHide child attributes
location_mappingsarray of object

Location mappings - storage URI per region for each location.

Show child attributesHide child attributes
namestring

Resource name for this location.

Example: main-storage

uri_by_regionarray of object

URI for each region. Each entry maps a region name to a storage URI.

catalogsarray of object

UC catalogs to replicate.

Show child attributesHide child attributes
namestring

The name of the UC catalog to replicate.

data_replication_workspace_setstring

The workspace set whose workspaces will be used for data replication of all UC catalogs' underlying storage.

Example: accounting

statestring

Aggregate state of the failover group.

Values: STATE_UNSPECIFIED, CREATING, CREATION_FAILED, INITIAL_REPLICATION, ACTIVE, FAILING_OVER, DELETING, FAILOVER_FAILED, DELETION_FAILED

etagstring

Opaque version string for optimistic locking. Server-generated and returned in responses.

create_timestring

Time at which this failover group was created.

update_timestring

Time at which this failover group was last modified.

replication_pointstring

The latest point in time to which data has been replicated.

initial_primary_regionstring

Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.

Response

Returns the FailoverGroup object.

Update GA

PATCH /api/disaster-recovery/v1/{failover_group.name=accounts/*/failover-groups/*}

Update a failover group.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

failover_groupobjectpath

The failover group with updated fields. The name field identifies the resource and is populated from the URL path.

Show child attributesHide child attributes
namestring

Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

effective_primary_regionstring

Current effective primary region. Replication flows FROM workspaces in this region. Changes after a successful failover.

regionsarray of string

List of all regions participating in this failover group.

workspace_setsarray of object

Workspace sets, each containing workspaces that replicate to each other.

Show child attributesHide child attributes
namestring

Resource name for this workspace set.

Example: accounting

workspace_idsarray of string

Workspace IDs in this set. The system derives and validates regions. All workspaces must be in the Mission Critical tier.

replicate_workspace_assetsboolean

Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set. Defaults to false.

stable_url_namesarray of string

Resource names of stable URLs associated with this workspace set. Format: accounts/{account_id}/stable-urls/{stable_url_id}. The referenced stable URLs must already exist (via CreateStableUrl).

unity_catalog_assetsobject

Unity Catalog replication configuration.

Show child attributesHide child attributes
location_mappingsarray of object

Location mappings - storage URI per region for each location.

Show child attributesHide child attributes
namestring

Resource name for this location.

Example: main-storage

uri_by_regionarray of object

URI for each region. Each entry maps a region name to a storage URI.

catalogsarray of object

UC catalogs to replicate.

Show child attributesHide child attributes
namestring

The name of the UC catalog to replicate.

data_replication_workspace_setstring

The workspace set whose workspaces will be used for data replication of all UC catalogs' underlying storage.

Example: accounting

statestring

Aggregate state of the failover group.

Values: STATE_UNSPECIFIED, CREATING, CREATION_FAILED, INITIAL_REPLICATION, ACTIVE, FAILING_OVER, DELETING, FAILOVER_FAILED, DELETION_FAILED

etagstring

Opaque version string for optimistic locking. Server-generated and returned in responses.

create_timestring

Time at which this failover group was created.

update_timestring

Time at which this failover group was last modified.

replication_pointstring

The latest point in time to which data has been replicated.

initial_primary_regionstring

Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.

update_maskstringquery

Comma-separated list of fields to update.

etagstringquery

Optional opaque version string for optimistic locking, obtained from a prior read of the failover group. If provided, the update is rejected unless it matches the failover group's current etag. If omitted, the update proceeds without an optimistic-lock check.

Response

Returns the FailoverGroup object.

Delete GA

DELETE /api/disaster-recovery/v1/{name=accounts/*/failover-groups/*}

Delete a failover group.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

namestringpath

The fully qualified resource name of the failover group to delete. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

etagstringquery

Opaque version string for optimistic locking. If provided, must match the current etag. If omitted, the delete proceeds without an etag check.